package com.ruoyi.system.mapper;

import java.util.Date;
import java.util.List;
import com.ruoyi.system.domain.PostNotice;
import org.apache.ibatis.annotations.Param;



/**
 * 公告Mapper接口
 *
 * @author ruoyi
 * @date 2023-01-14
 */
public interface PostNoticeMapper
{
    /**
     * 查询公告
     *
     * @param noticeId 公告主键
     * @return 公告
     */
    public PostNotice selectPostNoticeByNoticeId(Long noticeId);

    /**
     * 查询公告列表
     *
     * @param postNotice 公告
     * @return 公告集合
     */
    public List<PostNotice> selectPostNoticeList(PostNotice postNotice);

    /**
     * 查询公告详情
     * @param noticeId
     * @return
     */
    public String selectDetailByNoticeId(Long noticeId);

    /**
     * 新增公告
     *
     * @param postNotice 公告
     * @return 结果
     */
    public int insertPostNotice(PostNotice postNotice);

    /**
     * 修改公告
     *
     * @param postNotice 公告
     * @return 结果
     */
    public int updatePostNotice(PostNotice postNotice);

    /**
     * 删除公告
     *
     * @param noticeId 公告主键
     * @return 结果
     */
    public int deletePostNoticeByNoticeId(Long noticeId);

    /**
     * 批量删除公告
     * @param noticeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePostNoticeByNoticeIds(Long[] noticeIds);

    public List<PostNotice> selectPostNoticeListByTitleOrNoticeTime(@Param("noticeTitle")String noticeTitle, @Param("noticeTimeLeft")Date noticeTimeLeft, @Param("noticeTimeRight")Date noticeTimeRight);



}
